Jump to content

Fedora 34 and voice in Firestorm


You are about to reply to a thread that has been inactive for 74 days.

Please take a moment to consider if this thread is worth bumping.

Recommended Posts

4 hours ago, Liv Simondsen said:

Hello guys, was anyone able to get voice to work in Firestorm on Fedora ? It seems i can't find any guide to enable it. Thanks in advance!

You will be needing 32-bit libs, but I did manage to get it to work in KDE Neon (Debian-based, so no idea how well this translates to Fedora).
See the guide at https://wiki.firestormviewer.org/fs_voice and see how far you can get with this. 

Link to comment
Share on other sites

FWIW Voice seems to work in Kokua on Arch-Linux, although it sometimes (rather often actually) breaks if I (for example) update the kernel and don't reboot.

Link to comment
Share on other sites

Posted (edited)

These are the 32 bit libs needed for voice to work. Some you may already have in your distro. Some you may not. However Vivox for Linux is version 3.2. a lil over 10 years old. Best to use the Windows version 4.6 in wine which included in the FS download. To activate set FSLinuxEnableWin32VoiceProxy to true in Debug Settings and restart your viewer.

marissa@marissa-VirtualBox:~/Downloads/Phoenix_FirestormOS-MarissaCustomBuildCLANGAVX2FMOD_x86_64_6.4.19.63925/bin$ readelf -d SLVoice|grep NEEDED


 0x00000001 (NEEDED)                     Shared library: [libortp.so]
 0x00000001 (NEEDED)                     Shared library: [libsndfile.so.1]
 0x00000001 (NEEDED)                     Shared library: [libvivoxsdk.so]
 0x00000001 (NEEDED)                     Shared library: [libvivoxplatform.so]
 0x00000001 (NEEDED)                     Shared library: [libvivoxoal.so.1]
 0x00000001 (NEEDED)                     Shared library: [libz.so.1]
 0x00000001 (NEEDED)                     Shared library: [librt.so.1]
 0x00000001 (NEEDED)                     Shared library: [libresolv.so.2]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libidn.so.11]
 0x00000001 (NEEDED)                     Shared library: [libuuid.so.1]
 0x00000001 (NEEDED)                     Shared library: [libpthread.so.0]
 0x00000001 (NEEDED)                     Shared library: [libstdc++.so.6]
 0x00000001 (NEEDED)                     Shared library: [libm.so.6]
 0x00000001 (NEEDED)                     Shared library: [libgcc_s.so.1]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]

 

Edited by MarissaOrloff
OCD
Link to comment
Share on other sites

You are about to reply to a thread that has been inactive for 74 days.

Please take a moment to consider if this thread is worth bumping.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...